<ngx-spinner></ngx-spinner>

<ng-container *ngIf="!isLoading">
  <div class="container-fluid background-image">
    <h3>Willkommen im ICE 74, {{ currentUser.displayName }}</h3>
    <p class="text-right" style="color: white">Ihr nächster Umstieg ist</p>
    <p class="text-right" style="color: white">in <b>Stuttgart Hbf</b></p>
    <p class="text-right" style="color: white">in <b>1h 43min.</b></p>
  </div>

  <div class="list-group list-styles">
    <div *ngFor="let channel of allChannels; let i = index">
      <a class="shadow-sm list-group-item flex-column align-items-start custom-styles">
        <div class="d-flex w-100 justify-content-between">
          <h5 class="mb-1"> {{ allChannels[i].name }} </h5>
          <small style="color: red">
            <button
              [routerLink]="['/createPost', channel.id]"
              class="btn btn-outline-secondary"
              type="button">
              Neuer Post
            </button>
          </small>
        </div>
        <div class="mb-1" style="overflow-y: scroll; overflow-x: hidden; outline: none; height: 10rem">
          <ng-container *ngFor="let post of allPosts">
            <ng-container *ngIf="post.channel.id === allChannels[i].id">
              <div class="shadow-sm list-group-item-action"
                   style="padding: 0.2rem; border-color: lightgray; border-width: 0.1rem; border-radius: 5px">
                <a [routerLink]="['/post', post.id]" style="text-decoration: none; color: black;">
                  <p class="mb-1">{{ post.title }}
                    <span
                      [ngStyle]="{'color': post.status.short === 'OPEN' ? 'green' : 'red' }"
                      style="float: right;"> {{ post.status.name }}
                  </span>
                  </p>
                </a>
                <small class="text-muted">{{ post.user.displayName }}
                  <span
                    style="float: right;"> {{ post.creationDate | date:'shortTime' }}
                </span>
                </small>
              </div>
              <hr>
            </ng-container>
          </ng-container>
        </div>
      </a>
      <br>
    </div>
  </div>
</ng-container>
